Package com.googlecode.htmlcompressor.compressor

# Class YuiJavaScriptCompressor.DefaultErrorReporter

java.lang.Object
com.googlecode.htmlcompressor.compressor.YuiJavaScriptCompressor.DefaultErrorReporter

All Implemented Interfaces:
  `org.mozilla.javascript.ErrorReporter`

Enclosing class:
  `YuiJavaScriptCompressor`

public static class YuiJavaScriptCompressor.DefaultErrorReporter extends Object implements org.mozilla.javascript.ErrorReporter
Default `ErrorReporter` implementation that uses `System.err` stream for error reporting. Used by YUI Compressor to log errors during JavaScript compression.

Author:
  Sergiy Kovalchuk
See Also:
  - Yahoo YUI Compressor
  - ErrorReporter Interface

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultErrorReporter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `error(String message, String sourceName, int line, String lineSource, int lineOffset)`
  `org.mozilla.javascript.EvaluatorException`
  `runtimeError(String message, String sourceName, int line, String lineSource, int lineOffset)`
  `void`
  `warning(String message, String sourceName, int line, String lineSource, int lineOffset)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultErrorReporter

    public DefaultErrorReporter()

- ## Method Details

  - ### warning

    public void warning(String message, String sourceName, int line, String lineSource, int lineOffset)
    Specified by:
      `warning` in interface `org.mozilla.javascript.ErrorReporter`

  - ### error

    public void error(String message, String sourceName, int line, String lineSource, int lineOffset)
    Specified by:
      `error` in interface `org.mozilla.javascript.ErrorReporter`

  - ### runtimeError

    public org.mozilla.javascript.EvaluatorException runtimeError(String message, String sourceName, int line, String lineSource, int lineOffset)
    Specified by:
      `runtimeError` in interface `org.mozilla.javascript.ErrorReporter`